- Fluid Reference Documentation
- Fluid 1.0.0

# Utils QML Type

A collection of helpful utility methods. More...

Import Statement: | import Fluid.Controls 1.0

- List of all members, including inherited members

## Methods

- url iconUrl(string name)
- real scale(real percent, real start, real end)

## Detailed Description

## Method Documentation

url iconUrl(string name)

Returns an URL for the Material Design icon name. Use this URL with Image or icon grouped property with controls.

      import QtQuick 2.10

      Image {
          source: FluidControls.Utils.iconUrl("action/alarm")
          width: 64
          height: 64
      }

      import QtQuick 2.10
      import QtQuick.Controls 2.3

      Button {
          icon.source: FluidControls.Utils.iconUrl("action/alarm")
          text: qsTr("Alarm")
      }

real scale(real percent, real start, real end)

Scale percent in the range between start and end.